Update speaker check-in

PUT/manage/events/:eventId/speakers/:id/check-in

Update a speaker's on-site check-in status. Requires the speakersWrite permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

idstringrequired

Speaker ID.

Request body

checkInStatusstringrequired

One of NOT_CHECKED_IN / CHECKED_IN (required).

Notes

When accessed with an OAuth access token, `email` fields are recursively removed from the response JSON (they are retained for session-authenticated dashboard access).

Request
curl https://api.4s.link/manage/events/EVENT_ID/speakers/ID/check-in \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"checkInStatus": "CHECKED_IN"
}'
Example response
{
"id": "sp1a2b3-...",
"checkInStatus": "CHECKED_IN"
}